# gnuplot

set terminal x11
set grid
set style data line

l=8.667
S=l*l
d=0.01
eps=d/l

set ylabel 'E_L [MPa]'
set xlabel 'Delta t [s]'
set title 'EL-Modulus'
p 'calcul_princ.maple' u 1:(($8/S)/eps) title 'FEM explicite'
EL(x)=a01
fit [1e-5:1e-4] EL(x) 'calcul_princ.maple' u 1:(($8/S)/eps) via a01
print a01
rep EL(x) title 'Moy. gliss. explicite'
rep 'calcul_qs_princ.maple' u 1:(($8/S)/eps) title 'FEM quasi-statique'

pause -1

set terminal postscript
set output "FEM_EL.ps"
rep

set terminal x11

set ylabel 'E_T [MPa]'
set xlabel 'Delta t [s]'
set title 'ET-Modulus'
p 'calcul2_princ.maple' u 1:((-$7/S)/eps) title 'FEM explicite'
ET(x)=a02
fit [1e-5:1e-4] ET(x) 'calcul2_princ.maple' u 1:((-$7/S)/eps) via a02
print a02
rep ET(x) title 'Moy. gliss. explicite'
rep 'calcul_qs2_princ.maple' u 1:((-$7/S)/eps) title 'FEM quasi-statique'

pause -1

set terminal postscript
set output "FEM_ET.ps"
rep
set terminal x11


set ylabel 'G_LT [MPa]'
set xlabel 'Delta t [s]'
set title 'GLT-Modulus'
p 'calcul3_princ.maple' u 1:((-$8/S)/eps) title 'FEM explicite'
GLT(x)=a03
fit [1e-5:1e-4] GLT(x) 'calcul3_princ.maple' u 1:((-$8/S)/eps) via a03
print a03
rep GLT(x) title 'Moy. gliss. explicite'
rep 'calcul_qs3_princ.maple' u 1:((-$8/S)/eps) title 'FEM quasi-statique'

pause -1

set terminal postscript
set output "FEM_GLT.ps"
rep
set terminal x11


set ylabel 'G_TT [MPa]'
set xlabel 'Delta t [s]'
set title 'GTT-Modulus'
p 'calcul4_princ.maple' u 1:((-$6/S)/eps) title 'FEM explicite'
GTT(x)=a04
fit [1e-5:1e-4] GTT(x) 'calcul4_princ.maple' u 1:((-$6/S)/eps) via a04
print a04
rep GTT(x) title 'Moy. gliss. explicite'
rep 'calcul_qs4_princ.maple' u 1:((-$6/S)/eps) title 'FEM quasi-statique'

pause -1

set terminal postscript
set output "FEM_GTT.ps"
rep
set terminal x11

