// GMSH

// donnees
Ox=0.;
Oy=0.;
Oz=0.;
l_carre = 8.667;
l_cercl = 3.5;
n = 11;
m = 6;
p = 8;
n1 = 0.5;
n2 = 0.5;
n3 = 0.5;

//Points
Point(1) = {Ox+0.,Oy+0.,Oz+0., n1}; 
Point(2) = {Ox+(l_carre/2),Oy+0.,Oz+0., n2}; 
Point(3) = {Ox+l_carre,Oy+0.,Oz+0., n1}; 
Point(4) = {Ox+0.,Oy+(l_carre/2),Oz+0., n2}; 
Point(5) = {Ox+(l_carre/2)-l_cercl,Oy+(l_carre/2),Oz+0., n3}; 
Point(6) = {Ox+(l_carre/2),Oy+(l_carre/2)-l_cercl,Oz+0., n3}; 
Point(7) = {Ox+(l_carre/2)+l_cercl,Oy+(l_carre/2),Oz+0., n3}; 
Point(8) = {Ox+l_carre,Oy+(l_carre/2),Oz+0., n2}; 
Point(9) = {Ox+(l_carre/2),Oy+(l_carre/2)+l_cercl,Oz+0., n3}; 
Point(10) = {Ox+(l_carre/2),Oy+(l_carre/2),Oz+0., n3}; 
Point(11) = {Ox+0.,Oy+l_carre,Oz+0., n1}; 
Point(12) = {Ox+(l_carre/2),Oy+l_carre,Oz+0., n2}; 
Point(13) = {Ox+l_carre,Oy+l_carre,Oz+0., n1}; 

//lignes                    
Line(1) = {1,2};          
//Transfinite Line {1}=n;
Line(2) = {2,3};          
//Transfinite Line {2}=n;
Line(3) = {4,5};          
//Transfinite Line {3}=m;
Line(4) = {7,8};          
//Transfinite Line {4}=m;
Line(5) = {11,12};          
//Transfinite Line {5}=n;
Line(6) = {12,13};          
//Transfinite Line {6}=n;

Line(7) = {1,4};          
//Transfinite Line {7}=n;
Line(8) = {4,11};          
//Transfinite Line {8}=n;
Line(9) = {2,6};          
//Transfinite Line {9}=m;
Line(10) = {9,12};          
//Transfinite Line {10}=m;
Line(11) = {3,8};          
//Transfinite Line {11}=n;
Line(12) = {8,13};          
//Transfinite Line {12}=n;

Circle(13) = {5,10,6};
//Transfinite Line {13}=p;
Circle(14) = {6,10,7};
//Transfinite Line {14}=p;
Circle(15) = {7,10,9};
//Transfinite Line {15}=p;
Circle(16) = {9,10,5};
//Transfinite Line {16}=p;

Line Loop(1) = {1,9,-13,-3,-7};
Line Loop(2) = {2,11,-4,-14,-9};
Line Loop(3) = {3,-16,10,-5,-8};
Line Loop(4) = {-15,4,12,-6,-10};
Line Loop(5) = {13,14,15,16};

Plane Surface(1) = {1};
Plane Surface(2) = {2};
Plane Surface(3) = {3};
Plane Surface(4) = {4};
Plane Surface(5) = {5};


Extrude {0,0,8.667}
{
Surface{1,2,3,4};
Layers{20};
Recombine;
}

Extrude {0,0,8.667}
{
Surface{5};
Layers{20};
Recombine;
}

Physical Volume("E_fibre") = {5};
Physical Volume("E_matrice") = {1, 2, 3, 4};
Physical Surface("N_avant") = {97, 43, 146, 70, 124};
Physical Surface("N_arriere") = {5, 3, 1, 2, 4};
Physical Surface("N_gauche") = {115, 57};
Physical Surface("N_droite") = {96, 42};
Physical Surface("N_haut") = {92, 119};
Physical Surface("N_bas") = {53, 26};


